<?php

declare(strict_types=1);

/**
 * This file is part of CodeIgniter Shield.
 *
 * (c) CodeIgniter Foundation <admin@codeigniter.com>
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

return [
    // Изключения
    'unknownAuthenticator'  => '{0} не е валиден аутентикатор.',
    'unknownUserProvider'   => 'Не може да се определи използваният потребителски доставчик.',
    'invalidUser'           => 'Не може да се намери посоченият потребител.',
    'bannedUser'            => 'Не може да влезете в профила си, тъй като сте баннати.',
    'logOutBannedUser'      => 'Изведен сте от профила ви, защото сте баннати.',
    'badAttempt'            => 'Не може да влезете в профила си. Моля, проверете вашите потребителски данни.',
    'noPassword'            => 'Не може да се потвърди потребителски профил без парола.',
    'invalidPassword'       => 'Не може да влезете в профила си. Моля, проверете вашата парола.',
    'noToken'               => 'Всяка заявка трябва да съдържа носител на токен в {0} заглавната си част.',
    'badToken'              => 'Токенът за достъп не е валиден.',
    'oldToken'              => 'Токенът за достъп е изтекъл.',
    'noUserEntity'          => 'Потребителското съдържание трябва да бъде предоставено за потвърждение на паролата.',
    'invalidEmail'          => 'Не може да се потвърди, че имейл адресът съвпада с имейл адреса от записа.',
    'unableSendEmailToUser' => 'Съжаляваме, имаше проблем с изпращането на имейла. Не можем да изпратим имейл до "{0}".',
    'throttled'             => 'Твърде много заявки са направени от този IP адрес. Може да опитате отново след {0} секунди.',
    'notEnoughPrivilege'    => 'Нямате необходимите права за изпълнение на желаната операция.',
    // JWT Изключения
    'invalidJWT'     => 'Токенът е невалиден.',
    'expiredJWT'     => 'Токенът е изтекъл.',
    'beforeValidJWT' => 'Токенът все още не е наличен.',

    'email'           => 'Адрес на електронна поща',
    'username'        => 'Потребителско име',
    'password'        => 'Парола',
    'passwordConfirm' => 'Парола (отново)',
    'haveAccount'     => 'Вече имате акаунт?',
    'token'           => 'Токен',

    // Бутони
    'confirm' => 'Потвърди',
    'send'    => 'Изпрати',

    // Регистрация
    'register'         => 'Регистрация',
    'registerDisabled' => 'Регистрацията в момента не е позволена.',
    'registerSuccess'  => 'Добре дошли!',

    // Вход
    'login'              => 'Вход',
    'needAccount'        => 'Нуждаете се от акаунт?',
    'rememberMe'         => 'Запомни ме?',
    'forgotPassword'     => 'Забравена парола?',
    'useMagicLink'       => 'Използвайте линк за вход',
    'magicLinkSubject'   => 'Вашият линк за вход',
    'magicTokenNotFound' => 'Не може да се потвърди линка.',
    'magicLinkExpired'   => 'Съжаляваме, линкът е изтекъл.',
    'checkYourEmail'     => 'Проверете вашия имейл!',
    'magicLinkDetails'   => 'Току що ви изпратихме имейл с линк за вход. Линкът ще бъде валиден само {0} минути.',
    'magicLinkDisabled'  => 'Използването на линк за вход в момента не е разрешено.',
    'successLogout'      => 'Успешно излязохте от системата.',
    'backToLogin'        => 'Обратно към входа',

    // Пароли
    'errorPasswordLength'       => 'Паролите трябва да са поне {0, number} символа дълги.',
    'suggestPasswordLength'     => 'Паролите с дължина до 255 символа, наричани "паролни изречения", правят паролите по-сигурни и лесни за запомняне.',
    'errorPasswordCommon'       => 'Паролата не трябва да е общоизвестна.',
    'suggestPasswordCommon'     => 'Проверихме паролата срещу над 65 000 общоизвестни пароли или пароли, които са били изложени след хакерски атаки.',
    'errorPasswordPersonal'     => 'Паролите не могат да съдържат лична информация.',
    'suggestPasswordPersonal'   => 'Вариации на имейл адреса или потребителското име не трябва да се използват за пароли.',
    'errorPasswordTooSimilar'   => 'Паролата е твърде подобна на потребителското име.',
    'suggestPasswordTooSimilar' => 'Не използвайте части от потребителското си име в паролата си.',
    'errorPasswordPwned'        => 'Паролата {0} е била компрометирана в следствие на нарушения в сигурността на данните и е била видяна {1, number} пъти в {2} от компрометираните пароли.',
    'suggestPasswordPwned'      => '{0} никога не трябва да се използва като парола. Ако я използвате някъде, трябва да я сменете веднага.',
    'errorPasswordEmpty'        => 'Изисква се парола.',
    'errorPasswordTooLongBytes' => 'Паролата не може да бъде по-дълга от {param} байта.',
    'passwordChangeSuccess'     => 'Паролата беше успешно променена.',
    'userDoesNotExist'          => 'Паролата не беше променена. Потребителят не съществува.',
    'resetTokenExpired'         => 'Съжаляваме. Вашият токен за нулиране на паролата е изтекъл.',

    // Глобални променливи за електронна поща
    'emailInfo'      => 'Информации за потребител:',
    'emailIpAddress' => 'IP Адрес:',
    'emailDevice'    => 'Устройство:',
    'emailDate'      => 'Дата:',

    // Двуфакторна автентикация (2FA)
    'email2FATitle'       => 'Двуфакторна автентикация',
    'confirmEmailAddress' => 'Потвърдете Вашата електронна поща.',
    'emailEnterCode'      => 'Потвърдете Вашата електронна поща',
    'emailConfirmCode'    => 'Въведете 6-цифрен код, който изпратихме на Вашата електронна поща.',
    'email2FASubject'     => 'Вашият код за автентикация',
    'email2FAMailBody'    => 'Вашият код за автентикация е:',
    'invalid2FAToken'     => 'Грешен код.',
    'need2FA'             => 'Трябва да завършите двуфакторна верификация.',
    'needVerification'    => 'Проверете Вашата електронна поща, за да завършите активацията на профила.',

    // Активация
    'emailActivateTitle'    => 'Активиране по имейл',
    'emailActivateBody'     => 'Изпратихме ви имейл с код за потвърждение на вашия имейл адрес. Копирайте този код и го поставете по-долу.',
    'emailActivateSubject'  => 'Вашият код за активация',
    'emailActivateMailBody' => 'Моля, използвайте по-долу посочения код за активиране на акаунта си и започнете да използвате сайта.',
    'invalidActivateToken'  => 'Кода е невалиден.',
    'needActivate'          => 'Трябва да завършите регистрацията си, като потвърдите кода, изпратен на вашия имейл адрес.',
    'activationBlocked'     => 'Трябва да активирате акаунта си, преди да влезете.',

    // Групи
    'unknownGroup' => '{0} не е валидна група.',
    'missingTitle' => 'Групите трябва да имат заглавие.',

    // Разрешения
    'unknownPermission' => '{0} не е валидно разрешение.',
];
